Bug 234760 - Select Contacts from Address Book - "Contacts" box is empty
Select Contacts from Address Book - "Contacts" box is empty
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2007-04-01 12:24 EDT by Matthew Barnes
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-02 10:32:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 417999 None None None Never
GNOME Desktop 424725 None None None Never

  None (edit)
Description Matthew Barnes 2007-04-01 12:24:04 EDT
This was reported upstream and found to be a Fedora-specific bug:

Please describe the problem:
Can't add contacts to a new message via "Select Contacts from Address Book"
Select Contacts from Address Book fields are as follows:
   Address Book = Personal
   Category = Any Category
   Contacts box is empty although I have lots of contacts accessible via
"Contacts - Evolution" window. 

As a partial work around, I can select a contact in the Contacts - Evolution"
window, click on the email address and start a new letter like that. This only
works for emails going to a single contact. for multiple contacts I need to
copy/paste addresses to the To: field in the new message.

Steps to reproduce:
1. File->New->Mail Message (new "Compose Message" window opens)
2. Click "To:" Button (new "Select Contacts from Address Book" window opens) 
3. "Contacts" box is empty

Actual results:
Select Contacts from Address Book - "Contacts" box is empty

Expected results:
The box should contain a list of my contacts.

Does this happen every time?

Other information:
output of CAMEL_DEBUG=all evolution >& evo.log including program start up and
all steps listed above is available at http://www.kaptain.us/evo.log
I believe the important line is:
(evolution:24637): e-data-server-ui-CRITICAL **:
e_source_combo_box_set_active_uid: assertion `!iter_was_set' failed

Comment 1 Matthew Barnes 2007-04-01 12:31:24 EDT
Related to: http://bugzilla.gnome.org/show_bug.cgi?id=417999
Comment 2 Matthew Barnes 2007-04-02 10:32:40 EDT
Gah, stupid mistake.  The error was in the assertion itself:

   - g_return_if_fail (!iter_was_set);
   + g_return_if_fail (iter_was_set);

Fixed in evolution-data-server-1.10.0-5.fc7.

Note You need to log in before you can comment on or make changes to this bug.